# Copyright © 2021-2022 Arrikto Inc.  All Rights Reserved.

"""Snapshot a notebook."""

# Uncomment the following lines to enable Rok Python client logging
#import logging
#logging.basicConfig(level=logging.INFO)

from rok_gw_client import RokClient

NAMESPACE = "mynamespace"
NOTEBOOK_NAME = "mynotebook"
BUCKET_NAME = "mybucket"
OBJECT = "myobject"
VERSION = None
DEFAULTS = {
    "GPUS": {
        "num": "none",
        "vendor": "",
    },
    "PULL_POLICY": "IfNotPresent",
    "TOLERATIONS": [],
    "AFFINITY": {},
    "CONFIGURATIONS": ["access-rok", "access-ml-pipeline"],
    "ENVIRONMENT": [],
    "SHM": True,
}

rok_client = RokClient(account=NAMESPACE)

nb = rok_client.present_notebook(bucket=BUCKET_NAME, object=OBJECT,
                                 version=VERSION, notebook_name=NOTEBOOK_NAME,
                                 params=DEFAULTS)

print("Successfully created Notebook and underlying PVCs: %s/%s" %
      (NAMESPACE, nb["metadata"]["name"]))
